"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logValidDependency = void 0;
const package_reference_1 = require("../domain/package-reference");
const registry_url_1 = require("../domain/registry-url");
/**
 * Logs information about a valid dependency to a logger.
 */
function logValidDependency(log, dependency) {
    const packageRef = (0, package_reference_1.makePackageReference)(dependency.name, dependency.version);
    const tag = dependency.source === "built-in"
        ? "[internal] "
        : dependency.source === registry_url_1.unityRegistryUrl
            ? "[upstream]"
            : "";
    const message = `${packageRef} ${tag}`;
    log.verbose("dependency", message);
}
exports.logValidDependency = logValidDependency;
//# sourceMappingURL=dependency-logging.js.map