"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mustBeRegistryUrl = exports.mustBeDomainName = exports.mustBePackageReference = void 0;
const cli_parsing_1 = require("./cli-parsing");
const package_reference_1 = require("../domain/package-reference");
const domain_name_1 = require("../domain/domain-name");
const registry_url_1 = require("../domain/registry-url");
exports.mustBePackageReference = (0, cli_parsing_1.mustSatisfy)(package_reference_1.isPackageReference, (input) => `"${input}" is not a valid package-reference`);
exports.mustBeDomainName = (0, cli_parsing_1.mustSatisfy)(domain_name_1.isDomainName, (input) => `"${input}" is not a valid package name`);
exports.mustBeRegistryUrl = (0, cli_parsing_1.mustBeParsable)(registry_url_1.coerceRegistryUrl, (input) => `"${input}" is not a valid registry-url`);
//# sourceMappingURL=validators.js.map