"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeBase64 = exports.encodeBase64 = void 0;
/**
 * Encodes a string using base64.
 * @param s The string.
 */
function encodeBase64(s) {
    return Buffer.from(s).toString("base64");
}
exports.encodeBase64 = encodeBase64;
/**
 * Decodes a base64 string.
 * @param base64 The string.
 */
function decodeBase64(base64) {
    const buffer = Buffer.from(base64, "base64");
    return buffer.toString("utf-8");
}
exports.decodeBase64 = decodeBase64;
//# sourceMappingURL=base64.js.map