"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeSemanticVersion = exports.isSemanticVersion = void 0;
const preload_1 = __importDefault(require("semver/preload"));
const assert_1 = __importDefault(require("assert"));
/**
 * Checks if a string is a semantic version.
 * @param s The string.
 */
function isSemanticVersion(s) {
    return preload_1.default.parse(s) !== null;
}
exports.isSemanticVersion = isSemanticVersion;
/**
 * Constructs a semantic version from a string.
 * @param s The string. Will be validated.
 */
function makeSemanticVersion(s) {
    (0, assert_1.default)(isSemanticVersion(s), `"${s}" is a semantic version`);
    return s;
}
exports.makeSemanticVersion = makeSemanticVersion;
//# sourceMappingURL=semantic-version.js.map