"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeAllPackumentsFetcher = void 0;
const ts_results_es_1 = require("ts-results-es");
const npm_registry_fetch_1 = __importDefault(require("npm-registry-fetch"));
const error_type_guards_1 = require("../utils/error-type-guards");
const npm_search_1 = require("./npm-search");
/**
 * Makes a {@link FetchAllPackuments} function.
 */
function makeAllPackumentsFetcher() {
    return (registry) => {
        return new ts_results_es_1.AsyncResult(npm_registry_fetch_1.default
            .json("/-/all", (0, npm_search_1.getNpmFetchOptions)(registry))
            .then((result) => (0, ts_results_es_1.Ok)(result))
            .catch((error) => {
            (0, error_type_guards_1.assertIsHttpError)(error);
            return (0, ts_results_es_1.Err)(error);
        }));
    };
}
exports.makeAllPackumentsFetcher = makeAllPackumentsFetcher;
//# sourceMappingURL=all-packuments-io.js.map