"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryGetWslPath = exports.NoWslError = void 0;
const ts_results_es_1 = require("ts-results-es");
const ts_custom_error_1 = require("ts-custom-error");
const is_wsl_1 = __importDefault(require("is-wsl"));
const process_1 = __importDefault(require("../utils/process"));
/**
 * Error for when attempting to interact with wsl on a non-wsl system.
 */
class NoWslError extends ts_custom_error_1.CustomError {
    _class = "NoWslError";
    constructor() {
        super("No WSL detected.");
    }
}
exports.NoWslError = NoWslError;
/**
 * Attempt to resolve the wls path for a variable.
 * @param varName The variable name.
 */
function tryGetWslPath(varName) {
    if (!is_wsl_1.default)
        return (0, ts_results_es_1.Err)(new NoWslError()).toAsyncResult();
    return (0, process_1.default)(`wslpath "$(wslvar ${varName})"`, {
        trim: true,
    });
}
exports.tryGetWslPath = tryGetWslPath;
//# sourceMappingURL=wsl.js.map