"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeAuthNpmrcService = void 0;
const npmrc_1 = require("../domain/npmrc");
function makeAuthNpmrcService(findPath, loadNpmrc, saveNpmrc) {
    return (registry, token) => {
        // read config
        return findPath()
            .toAsyncResult()
            .andThen((configPath) => loadNpmrc(configPath)
            .map((maybeNpmrc) => maybeNpmrc ?? npmrc_1.emptyNpmrc)
            .map((npmrc) => (0, npmrc_1.setToken)(npmrc, registry, token))
            .andThen((npmrc) => saveNpmrc(configPath, npmrc))
            .map(() => configPath));
    };
}
exports.makeAuthNpmrcService = makeAuthNpmrcService;
//# sourceMappingURL=npmrc-auth.js.map