"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makePackagesSearcher = void 0;
/**
 * Makes a {@licence SearchPackages} function.
 */
function makePackagesSearcher(searchRegistry, fetchAllPackuments) {
    function searchInAll(registry, keyword) {
        return fetchAllPackuments(registry).map((allPackuments) => {
            // eslint-disable-next-line @typescript-eslint/no-unused-vars
            const { _updated, ...packumentEntries } = allPackuments;
            const packuments = Object.values(packumentEntries);
            // filter keyword
            const klc = keyword.toLowerCase();
            return packuments.filter((packument) => packument.name.toLowerCase().includes(klc));
        });
    }
    return (registry, keyword, onUseOldSearch) => {
        // search endpoint
        return searchRegistry(registry, keyword).orElse(() => {
            // search old search
            onUseOldSearch && onUseOldSearch();
            return searchInAll(registry, keyword);
        });
    };
}
exports.makePackagesSearcher = makePackagesSearcher;
//# sourceMappingURL=search-packages.js.map