"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeSaveAuthToUpmConfigService = void 0;
const upm_config_1 = require("../domain/upm-config");
const upm_config_io_1 = require("../io/upm-config-io");
/**
 * Makes a {@link SaveAuthToUpmConfig} function.
 */
function makeSaveAuthToUpmConfigService(loadUpmConfig, writeFile) {
    // TODO: Add tests for this service
    return (configPath, registry, auth) => loadUpmConfig(configPath)
        .map((maybeConfig) => maybeConfig || {})
        .map((config) => (0, upm_config_1.addAuth)(registry, auth, config))
        .andThen((config) => (0, upm_config_io_1.trySaveUpmConfig)(writeFile, config, configPath));
}
exports.makeSaveAuthToUpmConfigService = makeSaveAuthToUpmConfigService;
//# sourceMappingURL=upm-auth.js.map