"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.is404Error = exports.isHttpError = exports.assertIsHttpError = exports.assertIsNodeError = exports.assertIsError = void 0;
const assert_1 = __importStar(require("assert"));
/**
 * @throws {AssertionError} The given parameter is not an error.
 */
function assertIsError(x) {
    (0, assert_1.default)(x !== null);
    (0, assert_1.default)(typeof x === "object");
    (0, assert_1.default)("name" in x);
    (0, assert_1.default)("message" in x);
}
exports.assertIsError = assertIsError;
/**
 * Asserts that a value is a Node.js error, i.e it includes properties
 * such as `code`.
 * @param x The value to check.
 * @throws {AssertionError} The given parameter is not a node-error.
 */
function assertIsNodeError(x) {
    assertIsError(x);
    (0, assert_1.default)("code" in x);
}
exports.assertIsNodeError = assertIsNodeError;
function assertIsHttpError(x) {
    assertIsError(x);
    if (!("statusCode" in x))
        throw new assert_1.AssertionError({ message: "Argument was not an HTTP-error." });
}
exports.assertIsHttpError = assertIsHttpError;
const isHttpError = (x) => {
    return x instanceof Error && "statusCode" in x;
};
exports.isHttpError = isHttpError;
const is404Error = (err) => err.statusCode === 404 || err.message.includes("404");
exports.is404Error = is404Error;
//# sourceMappingURL=error-type-guards.js.map